This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 510706 - qemu-kvm segfault when using i82551 vnic
qemu-kvm segfault when using i82551 vnic
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Naphtali Sprei
Lawrence Lim
:
Depends On:
Blocks: 500980
  Show dependency treegraph
 
Reported: 2009-07-10 07:09 EDT by Miya Chen
Modified: 2014-03-25 20:58 EDT (History)
8 users (show)

See Also:
Fixed In Version: kvm-83-117.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 03:56:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miya Chen 2009-07-10 07:09:33 EDT
Description of problem:
Backtrace:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x40e10940 (LWP 31256)]
0x00002b36e01d9e5b in memcpy () from /lib64/libc.so.6
(gdb) bt
#0  0x00002b36e01d9e5b in memcpy () from /lib64/libc.so.6
#1  0x00000000004ba64b in cpu_physical_memory_rw (addr=251076608,
    buf=0x40e10a9c "", len=3637, is_write=0)
    at /usr/src/debug/kvm-83-maint-snapshot-20090205/qemu/exec.c:3042
#2  0x0000000000420f11 in eepro100_write_command (s=0x18ae2c10,
    val=<value optimized out>) at ../cpu-all.h:920
#3  0x0000000000000000 in ?? ()
(gdb)


Version-Release number of selected component (if applicable):
kvm-83-84.el5

How reproducible:
100%

Steps to Reproduce:
1.Boot guest by:
/usr/libexec/qemu-kvm -no-hpet -usbdevice tablet -rtc-td-hack -drive file=RHEL-Server-5.3-64.qcow2,if=ide -cpu qemu64,+sse2 -vnc :16 -net nic,vlan=0,macaddr=20:20:20:00:49:58,model=i82551 -net tap,vlan=0,script=/etc/qemu-ifup -m 1024 -monitor stdio

  
Actual results:
qemu-kvm got segfault.
(can be easily reproduced by running ping in guest)

Expected results:
Guest works well.

Additional info:
rhel5.4 has the same problem.
Comment 5 Miya Chen 2009-09-24 06:04:14 EDT
test with kvm-83-117.el5, cannot reproduce this problem.

1. start guest by:
/usr/libexec/qemu-kvm -rtc-td-hack -no-hpet -usbdevice tablet -cpu qemu64,+sse2 -drive file=RHEL-Server-5.4-64-virtio.qcow2,if=ide -smp 2 -m 2G -name rhel54-64 -net nic,macaddr=20:20:20:11:42:66,model=i82551,vlan=0 -net tap,script=/etc/qemu-ifup,vlan=0 -vnc :2

2. tranfer some files to guest from remote host.
3. run netperf for 10 min.

Actual results:
after 1 hour, guest works fine.
Comment 7 Miya Chen 2009-12-23 05:10:18 EST
Test with kvm-83-139.el5, come across that qemu aborted when run "service network restart" for one time.

steps:
1. boot guest with e1000 nic:
/usr/libexec/qemu-kvm -rtc-td-hack -no-hpet -usbdevice tablet -cpu qemu64,+sse2 -drive file=rhel5u4-64-virtio.qcow2,if=virtio,boot=on,format=qcow2,cache=off -smp 2 -m 2G -vnc :2 -net nic,macaddr=20:20:20:11:00:91,model=e1000,vlan=0 -net tap,script=/etc/qemu-ifup,vlan=0 -monitor stdio 

2. shutdown guest

3. boot guest with i82551 nic:
/usr/libexec/qemu-kvm -rtc-td-hack -no-hpet -usbdevice tablet -cpu qemu64,+sse2 -drive file=rhel5u4-64-virtio.qcow2,if=virtio,boot=on,format=qcow2,cache=off -smp 2 -m 2G -vnc :2 -net nic,macaddr=20:20:20:11:00:91,model=i82551,vlan=0 -net tap,script=/etc/qemu-ifup,vlan=0 -monitor stdio 

4. In guest:
cd /etc/sysconfig/network-scripts/
mv ifcfg-eth0.bak ifcfg-eth0
service network restart

Actual result:
(qemu) qemu-kvm: /builddir/build/BUILD/kvm-83-maint-snapshot-20090205/qemu/hw/eepro100.c:1573: nic_receive: Assertion `0' failed.
Aborted

michen->nsprei:
could you please help to check this issue? i cannot reproduce it any more.
Comment 8 Naphtali Sprei 2009-12-24 05:18:16 EST
I can reproduce the issue, consistently, using qemu built out of latest git version of rhel, using guest rhel 5.3 64bit.

I think it's a different issue than this one.
Shouldn't it be a new/different bug ?
Comment 9 Miya Chen 2009-12-24 22:35:26 EST
(In reply to comment #8)
> I can reproduce the issue, consistently, using qemu built out of latest git
> version of rhel, using guest rhel 5.3 64bit.
> 
> I think it's a different issue than this one.
> Shouldn't it be a new/different bug ?  

Have reported one new bug about this:
Bug 550273 -  qemu aborted when run "service network restart" in guest that with i82551 vNIC
https://bugzilla.redhat.com/show_bug.cgi?id=550273
Comment 10 lihuang 2009-12-24 22:37:15 EST
closing this bug since original issue is fixed .
Comment 13 errata-xmlrpc 2010-03-30 03:56:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0271.html

Note You need to log in before you can comment on or make changes to this bug.